package com.lovecoding.day08.oop06;

public class TestDiGui1 {


    public static void main(String[] args) {
        TestDiGui1 testDiGui1 = new TestDiGui1();
        int f = testDiGui1.f(10);
        System.out.println(f);
    }

    public int f(int n){
        // n = 1 返回 1
        if (n == 1){
            return 1;
        }
        return n*f(n-1);
    }

}
